summaryrefslogtreecommitdiffstats
path: root/graphics/gimmage
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:00:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:36 +0200
commitf8531a8c32581201f220d544e1aceed9e6e1246f (patch)
tree87b93ec8709c542500920d55d9b799ce432af501 /graphics/gimmage
parenta590b0e41345a3ded9fc68efdbab8068fe66bf51 (diff)
downloadslackbuilds-f8531a8c32581201f220d544e1aceed9e6e1246f.tar.gz
slackbuilds-f8531a8c32581201f220d544e1aceed9e6e1246f.tar.xz
graphics/gimmage: Added to 12.0 repository
Diffstat (limited to 'graphics/gimmage')
-rw-r--r--graphics/gimmage/README6
-rw-r--r--graphics/gimmage/doinst.sh3
-rw-r--r--graphics/gimmage/gimmage.SlackBuild81
-rw-r--r--graphics/gimmage/gimmage.info8
-rw-r--r--graphics/gimmage/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/graphics/gimmage/README b/graphics/gimmage/README
new file mode 100644
index 0000000000..9b855ca5e1
--- /dev/null
+++ b/graphics/gimmage/README
@@ -0,0 +1,6 @@
+Gimmage is a small gtk image viewer, perfect for command line usage
+as it accepts directories and image filenames as arguments. It also
+has a filechooser integrated into the main UI, making accessing images
+and directories a snap.
+
+This requires gtkmm (available at SlackBuilds.org).
diff --git a/graphics/gimmage/doinst.sh b/graphics/gimmage/doinst.sh
new file mode 100644
index 0000000000..5dc6bb58c0
--- /dev/null
+++ b/graphics/gimmage/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/graphics/gimmage/gimmage.SlackBuild b/graphics/gimmage/gimmage.SlackBuild
new file mode 100644
index 0000000000..c3ca47691d
--- /dev/null
+++ b/graphics/gimmage/gimmage.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Gimmage
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimmage
+VERSION=0.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gimmage/gimmage.info b/graphics/gimmage/gimmage.info
new file mode 100644
index 0000000000..5c28a499b7
--- /dev/null
+++ b/graphics/gimmage/gimmage.info
@@ -0,0 +1,8 @@
+PRGNAM="gimmage"
+VERSION="0.2.3"
+HOMEPAGE="http://gimmage.berlios.de/"
+DOWNLOAD="http://download.berlios.de/gimmage/gimmage-0.2.3.tar.gz"
+MD5SUM="f51cca53b3d33415e75a91cf81b6ac39"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/graphics/gimmage/slack-desc b/graphics/gimmage/slack-desc
new file mode 100644
index 0000000000..34cabbc7a1
--- /dev/null
+++ b/graphics/gimmage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+gimmage: Gimmage (The gtkmm Image Viewer)
+gimmage:
+gimmage: Gimmage is a small gtk image viewer, perfect for command
+gimmage: line usage as it accepts directories and image filenames
+gimmage: as arguments. It also has a filechooser integrated into
+gimmage: the main UI, making accessing images and directories a
+gimmage: snap.
+gimmage:
+gimmage: Homepage: http://gimmage.berlios.de/
+gimmage:
+gimmage: